Performs the Calculate Best Direct Cost sell action for one or more order releases

post

/custom-actions/calculateDirectCostSell/orderReleases/

Request

Header Parameters
  • An optional header parameter that allows you to process the request asynchronously. Set the request header "Prefer" to "respond-async" for asynchronous processing. For synchronous processing, leave the parameter blank or do not define it.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Match All
Show Source
Nested Schema : actionRequest
Type: object
Show Source
Nested Schema : pks
Type: array
Object primary keys that supports one or more multi-part (compound) keys
Show Source
Nested Schema : items
Type: array
Show Source
Back to Top

Response

Supported Media Types

200 Response

Success! A successful POST method returns a 200 status code.
Body ()
Root Schema : calculateDirectCostSellResponse
Match All
Show Source
Nested Schema : actionResponse
Type: object
Show Source
Nested Schema : calculateDirectCostSellResponse-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Calculates the direct cost sell response for an order release.
Show Source
Nested Schema : calculateDirectCostSellResultItem
Type: object
Show Source
Nested Schema : bestDirectCostSell
The best direct cost sell value.
Match All
The best direct cost sell value.
Show Source
Nested Schema : currencyType
Type: object
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : errorResponse
Type: object
Show Source

401 Response

Unauthorized, the request was not successful because it lacks valid authentication credentials for the requested resource.
Body ()
Root Schema : errorResponse
Type: object
Show Source

403 Response

Access to the specified resource has been forbidden.
Body ()
Root Schema : errorResponse
Type: object
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : errorResponse
Type: object
Show Source
Back to Top